获取子任务结果
接口地址: GET /task/result/{taskId}/{subTaskId}
接口描述: 获取指定子任务的详细监控结果
需要认证: 是
请求参数
路径参数:
| 参数名 | 类型 | 位置 | 必需 | 描述 |
|---|---|---|---|---|
| taskId | String | Path | 是 | 批量任务ID(UUID格式) |
| subTaskId | String | Path | 是 | 子任务ID |
响应结果
成功响应(由于内容过长,answerContent已精简):
{
"success": true,
"code": 200,
"message": "操作成功",
"data": {
"subTaskId": "4124831",
"platform": "doubao",
"mode": "reasoning_search",
"prompt": "请帮我搜索最新款 iPhone型号,以及 iOS 版本",
"status": "completed",
"time": 1769758043000,
"pageScreenshot": "https://img.molizhishu.com/screenshots/doubao/2026/01/30/20260130_152757_2f91283d.png",
"answerContent": "### 最新款 iPhone 型号与 iOS 版本(2026年1月)\n\n...",
"referenceList": [
{
"index": 1,
"title": "iPhone - Apple (中国大陆)",
"url": "https://www.apple.com.cn/iphone-se/",
"site": "Apple (中国大陆)",
"icon": "https://www.apple.com.cn/favicon.ico"
}
],
"citationList": [
{
"index": 18,
"title": "Releases - Apple Developer",
"url": "https://developer.apple.com/news/releases/?id=06142022e",
"site": "Apple Developer",
"icon": "https://developer.apple.com/favicon.ico"
}
],
"reasoningProcess": {
"summary": "",
"content": "用户想要了解最新款的iPhone型号和最新的iOS版本..."
},
"recommendedQuestions": [
"iOS 26.2.1正式版相比上一版本有哪些更新?",
"iOS 26.3测试版有哪些新特性?",
"最新款iPhone 17系列的外观有哪些变化?"
],
"mediaContent": [],
"errorMessage": null,
"proxyIp": "117.151.96.210"
}
}
响应字段说明:
| 字段名 | 类型 | 描述 |
|---|---|---|
| subTaskId | String | 子任务ID |
| platform | String | AI平台 |
| mode | String | 监控模式 |
| prompt | String | 监控提示词 |
| status | String | 子任务状态 |
| time | Long | 完成时间戳(毫秒) |
| pageScreenshot | String | 页面截图URL(如有) |
| answerContent | String | AI回答内容(Markdown格式) |
| referenceList | Array | 所有引用来源列表 |
| referenceList[].index | Integer | 引用索引 |
| referenceList[].title | String | 引用标题 |
| referenceList[].url | String | 引用链接 |
| referenceList[].site | String | 来源网站 |
| referenceList[].icon | String | 来源网站图标URL |
| citationList | Array | 答案中真实被引用的来源列表(referenceList的子集) |
| citationList[].index | Integer | 引用索引 |
| citationList[].title | String | 引用标题 |
| citationList[].url | String | 引用链接 |
| citationList[].site | String | 来源网站 |
| citationList[].icon | String | 来源网站图标URL |
| reasoningProcess | Object | 推理过程对象(如有) |
| reasoningProcess.summary | String | 推理摘要 |
| reasoningProcess.content | String | 完整推理内容 |
| recommendedQuestions | Array | 推荐追问列表(如有) |
| mediaContent | Array | 多媒体内容(如有) |
| errorMessage | String | 错误信息(失败时) |
| proxyIp | String | 代理IP地址 |
子任务状态值:
| 状态值 | 描述 |
|---|---|
| pending | 等待执行 |
| processing | 正在处理(包括截图未完成或信源解析未完成) |
| completed | 完全完成(答案、截图、信源解析都完成) |
| failed | 失败(包括未找到答案数据) |
| timeout | 超时 |
| error | 错误(包括 API 计费异常) |
子任务完成条件
子任务状态为 completed 需要满足:
- AI 回答内容生成完成
- 如需截图(
screenshot=1或screenshot=2),截图已完成 - 如有引用来源,信源解析已完成